
package com.unis.inspection.app.base;

import com.unis.base.client.ShouGouBeiAnFeign;
import com.unis.base.common.vo.TyShougouqiyebeian;
import com.unis.common.utils.ResponseWrapper;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * base:ty_shougouqiyebeian  收购企业备案表
 * 
 */
@RestController
@RequestMapping("/base")
@Api( tags = "收购企业备案表")
public class ShouGouBeiAnController {

    @Autowired
    private ShouGouBeiAnFeign shouGouBeiAnFeign;

   
    @ApiOperation(value = "收购企业备案表---根据实体的某些属性查询分页数据, pageSize, pageNum从url传", notes = "收购企业备案表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query")
        ,@ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
        ,@ApiImplicitParam(name = "szxzqy", value = "所在行政区域编码", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "qymc", value = "企业名称", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "tyshxydm", value = "统一社会信用代码", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "dz", value = "地址（市）code", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "lxr", value = "联系人", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "dh", value = "电话", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "bajg", value = "备案机关", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "barq", value = "备案日期", dataType = "Date", paramType = "header")
        ,@ApiImplicitParam(name = "sjzt", value = "数据状态 1暂存待提交 2提交 已提交", dataType = "int", paramType = "header")
        ,@ApiImplicitParam(name = "cjsj", value = "创建时间", dataType = "Date", paramType = "header")
        ,@ApiImplicitParam(name = "cjyh", value = "创建用户", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "cjdw", value = "创建单位", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "xxdz", value = "详细地址", dataType = "String", paramType = "header")
    })
    @PostMapping("/shouGouQyBa/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
        @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
        ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
        ,@RequestBody TyShougouqiyebeian shougouqiyebeian) {
        return shouGouBeiAnFeign.selectPageByEntity(pageNum, pageSize, shougouqiyebeian);
    }

    
    
    @ApiOperation(value = "收购企业备案表---保存", notes = "收购企业备案表")
    @PostMapping("/shouGouQyBa/save")
    public ResponseWrapper save(@RequestBody TyShougouqiyebeian shougouqiyebeian) {
        
        return shouGouBeiAnFeign.save(shougouqiyebeian);
    }
    
    
    
    
    @ApiOperation(value = "收购企业备案表---删除", notes = "收购企业备案表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "id", value = "主键", dataType = "String", paramType = "header")
    })
    @PostMapping("/shouGouQyBa/remove")
    public ResponseWrapper remove(@RequestBody String id){
        
        return shouGouBeiAnFeign.remove(id);
        
    }
    
    
    @ApiOperation(value = "收购企业备案表---根据id查询一条数据", notes = "收购企业备案表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "id", value = "主键id", dataType = "String", paramType = "header")
    })
    @PostMapping("/shouGouQyBa/getById")
    public ResponseWrapper getById(@RequestBody String id){
        
        return shouGouBeiAnFeign.getById(id);
    }

}
