/*
 * ShouGouZiGeController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 *  created by lipenghe with LAPTOP-DPSC399A
 */
package com.unis.inspection.app.base;

import com.unis.base.client.ShouGouZiGeFeign;
import com.unis.base.common.vo.ShouGouZiGeListVO;
import com.unis.base.common.vo.ShouGouZiGeShowVO;
import com.unis.base.common.vo.ShouGouZiGeVO;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * TY_SHOUGOUZIGE-真收购资格表
 * @author lipenghe at 
 */
@RestController
@RequestMapping("/base")
@Api( tags = "真收购资格表")
public class ShouGouZiGeController {

    @Autowired
    private ShouGouZiGeFeign shouGouZiGeFeign;

    /*@ApiOperation(value = "真收购资格表---真收购资格表---选择性保存,包含新增和修改", notes = "真收购资格表")
    @PostMapping("/shouGouZiGe/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(
        @RequestBody ShouGouZiGeVO ziGeVO) {
        return shouGouZiGeFeign.saveEntitySelective(ziGeVO);
    }*/

    @ApiOperation(value = "真收购资格表---真收购资格表---选择性插入字段", notes = "真收购资格表")
    @PostMapping("/shouGouZiGe/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(
        @Validated({InsertGroup.class}) @RequestBody ShouGouZiGeVO ziGeVO
        , BindingResult bindingResult) {
        if(bindingResult.hasErrors()){
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        }else{
            return shouGouZiGeFeign.insertEntitySelective(ziGeVO);
        }
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---批量插入全部字段", notes = "真收购资格表")
    @PostMapping("/shouGouZiGe/insertBatchEntityList")
    public ResponseWrapper insertBatchEntityList(
        @RequestBody List<ShouGouZiGeVO> ziGeVOList) {
        return shouGouZiGeFeign.insertBatchEntityList(ziGeVOList);
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---根据实体不为空的属性,选择性更新字段", notes = "真收购资格表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "sgzgid", value = "收购资格id#<主键><唯一><检索><非空>", dataType = "Long", paramType = "header")
    })
    @PostMapping("/shouGouZiGe/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(
        @Validated({UpdateGroup.class}) @RequestBody ShouGouZiGeVO ziGeVO
        , BindingResult bindingResult) {
        if(bindingResult.hasErrors()){
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        }else{
            return shouGouZiGeFeign.updateByEntitySelective(ziGeVO);
        }
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---更改状态", notes = "真收购资格表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "sgzgid", value = "收购资格id#<主键><唯一><检索><非空>", dataType = "Long", paramType = "header")
    })
    @PostMapping("/shouGouZiGe/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(
        @RequestBody ShouGouZiGeVO ziGeVO) {
        if(ziGeVO!= null){
            return shouGouZiGeFeign.updateStatusByEntity(ziGeVO);
        }else{
            return ResponseWrapper.invalid();
        }
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "真收购资格表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "sgzgid", value = "收购资格id#<主键><唯一><检索><非空>", dataType = "Long", paramType = "header")
    })
    @PostMapping("/shouGouZiGe/deleteByEntity")
    public ResponseWrapper deleteByEntity(
        @RequestBody ShouGouZiGeShowVO ziGeShowVO){
        if(ziGeShowVO!= null){
            return shouGouZiGeFeign.deleteByEntity(ziGeShowVO);
        }else{
            return ResponseWrapper.invalid();
        }
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---根据实体(唯一标示)查询一条数据", notes = "真收购资格表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "sgzgid", value = "收购资格id#<主键><唯一><检索><非空>", dataType = "Long", paramType = "header")
    })
    @PostMapping("/shouGouZiGe/selectById")
    public ResponseWrapper selectById(
        @RequestBody ShouGouZiGeShowVO ziGeShowVO){
        if(ziGeShowVO!= null){
            return shouGouZiGeFeign.selectById(ziGeShowVO);
        }else{
            return ResponseWrapper.invalid();
        }
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---根据实体的某些属性查询分页数据, pageSize, pageNum从url传", notes = "真收购资格表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query")
        ,@ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
        ,@ApiImplicitParam(name = "sgzgid", value = "收购资格id#<主键><唯一><检索><非空>", dataType = "Long", paramType = "header")
        ,@ApiImplicitParam(name = "yyzzzch", value = "营业执照注册号#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "tyshxydm", value = "统一社会信用代码#<检索><非空>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "scztmc", value = "市场主体名称#<检索><非空>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "zzjgdm", value = "组织机构代码#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "xkjgbm", value = "许可机关编码#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "xkjgbmmc", value = "许可机关编码名称#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "yxzt", value = "有效状态#<检索>1有效0无效", dataType = "int", paramType = "header")
        ,@ApiImplicitParam(name = "yxqq", value = "有效期起#<检索>", dataType = "Long", paramType = "header")
        ,@ApiImplicitParam(name = "yxqz", value = "有效期止#<检索>", dataType = "Long", paramType = "header")
    })
    @PostMapping("/shouGouZiGe/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
        @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
        ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
        ,@RequestBody ShouGouZiGeListVO ziGeListVO) {
        return shouGouZiGeFeign.selectPageByEntity(pageNum, pageSize, ziGeListVO);
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---根据实体的某些属性查询列表", notes = "真收购资格表")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "sgzgid", value = "收购资格id#<主键><唯一><检索><非空>", dataType = "Long", paramType = "header")
        ,@ApiImplicitParam(name = "yyzzzch", value = "营业执照注册号#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "tyshxydm", value = "统一社会信用代码#<检索><非空>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "scztmc", value = "市场主体名称#<检索><非空>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "zzjgdm", value = "组织机构代码#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "xkjgbm", value = "许可机关编码#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "xkjgbmmc", value = "许可机关编码名称#<检索>", dataType = "String", paramType = "header")
        ,@ApiImplicitParam(name = "yxzt", value = "有效状态#<检索>1有效0无效", dataType = "int", paramType = "header")
        ,@ApiImplicitParam(name = "yxqq", value = "有效期起#<检索>", dataType = "Long", paramType = "header")
        ,@ApiImplicitParam(name = "yxqz", value = "有效期止#<检索>", dataType = "Long", paramType = "header")
    })
    @PostMapping("/shouGouZiGe/selectByEntity")
    public ResponseWrapper selectByEntity(
        @RequestBody ShouGouZiGeListVO ziGeListVO) {
        return shouGouZiGeFeign.selectByEntity(ziGeListVO);
    }

    @ApiOperation(value = "真收购资格表---真收购资格表---初始化数据", notes = "真收购资格表")
    @PostMapping("/shouGouZiGe/selectInitData")
    public ResponseWrapper selectInitData(
        @RequestBody ShouGouZiGeVO ziGeVO){
        return shouGouZiGeFeign.selectInitData(ziGeVO);
    }
}
