package com.unis.inspection.app.client;

import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author WangZL
 * @version 1.0
 * @Title: DataDictionaryFeign
 * @ProjectName DataDictionaryFeign
 * @date 2019/7/7 18:05
 */
@FeignClient("data-dict")
@Component
public interface DataDictionaryFeign {

	@ApiOperation(value = "根据分组id查询数据字典", notes = "参数：groupId")
	@GetMapping(value = "/dataDictionary/findByGroupId/{groupId}")
	public ResponseWrapper findByGroupId(@PathVariable("groupId") String groupId);

}
