package com.unis.inspection.app.config;

import feign.Feign;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;
import javax.servlet.http.HttpServletRequest;
import java.util.Enumeration;

/**
 * lipenghe添加,解決server获取用户信息
 */
@Configuration
@ConditionalOnClass({Feign.class})
public class FeignConfig implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate template) {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder
                .getRequestAttributes();
        if(attributes!=null) {
        	HttpServletRequest request = attributes.getRequest();
        	Enumeration<String> headerNames = request.getHeaderNames();
        	if (headerNames != null) {
        		while (headerNames.hasMoreElements()) {
        			String name = headerNames.nextElement();
        			String values = request.getHeader(name);
        			template.header(name, values);
        		}
        	}
        }
    }
}
