/*
 * DailyCheckResultController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspection.app.result;

import java.io.IOException;
import java.util.*;
import java.util.stream.Collectors;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.unis.base.client.WarehouseFeign;
import com.unis.base.common.vo.DCfxxsjyVO;
import com.unis.inspection.service.InspectionTaskService;
import com.unis.inspectionresult.common.constant.DailyCheckStatusConstant;
import com.unis.inspectionresult.common.vo.AppVO;
import com.unis.inspectionresult.common.vo.BaseKcVO;
import com.unis.inspectionresult.common.vo.ResultApplyQuery;
import com.unis.inspectionresult.common.vo.ResultApplyVO;
import com.unis.inspectionresult.common.vo.resultback.*;
import com.unis.inspectiontask.common.vo.TeamVO;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpStatus;
import org.springframework.util.ObjectUtils;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.github.pagehelper.PageInfo;
import com.google.common.collect.Lists;
import com.google.common.collect.Sets;
import com.unis.base.client.CompanyFeign;
import com.unis.base.common.vo.CompanyVO;
import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.DateUtil;
import com.unis.common.utils.ExcelUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.flowable.client.FlowTodoClient;
import com.unis.flowable.common.vo.FlowTodoVO;
import com.unis.flowable.common.vo.StartTodoVO;
import com.unis.inspection.app.myuser.MyUserClient;
import com.unis.inspection.service.DailyCheckResultService;
import com.unis.inspection.service.user.UserService;
import com.unis.inspectionplan.client.InspectionplanFeign;
import com.unis.inspectionresult.api.resultback.DailyCheckResultApi;
import com.unis.inspectionresult.common.constant.UnitsTypeConstant;
import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import com.unis.inspectionresult.common.utils.JsonUtils;
import com.unis.inspectiontask.client.TaskFeign;
import com.unis.inspectiontask.client.TeamFeign;
import com.unis.inspectiontask.common.vo.InspectedUnitsTypeVO;
import com.unis.inspectiontask.common.vo.MemberVO;
import com.unis.inspectiontask.common.vo.TaskVO;
import com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO;

import cn.hutool.json.JSONUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

/**
 * T_JCJG-检查结果
 * @author lipenghe at 2019-08-26 16:21:29
 */
@RestController
@Slf4j
@Api(value = "结果反馈", tags = "结果反馈")
public class DailyCheckResultController {

    @Autowired
    private DailyCheckResultApi dailyCheckResultApi;

    @Autowired
    private DailyCheckResultService dailyCheckResultService;
    @Autowired
    private FlowTodoClient flowTodoClient;

    @Autowired
    private TeamFeign teamFeign;

    @Autowired
    private TaskFeign taskFeign;

    @Autowired
    private WarehouseFeign warehouseFeign;

    @Autowired
    private MyUserClient userClient;

    private ObjectMapper objectMapper = new ObjectMapper();

    @Autowired
	private CompanyFeign companyFeign;

	@Autowired
	private InspectionTaskService inspectionTaskService;

    @Autowired
    private UserService userService;

	@Value("${project.chengpinliang}")
	private String[] chengPinLiangArray;

	@ApiOperation(value = "结果反馈---检查结果---新增", notes = "结果反馈")
    @PostMapping("/dailyCheckResult")
    public ResponseWrapper insertEntitySelective(@Validated({InsertGroup.class}) @RequestBody DailyCheckResultVO checkResultVO,
                                                 BindingResult bindingResult) {
        log.info("post dailyCheckResult arg =========================================\n" + JSON.toJSONString(checkResultVO));
        if (bindingResult.hasErrors()) {
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        } else {
        	//判断是否添加被检企业信息
        	Boolean isNewEnterprise = false;
        	if(null != checkResultVO.getIsNewEnterprise()) {
        		isNewEnterprise = checkResultVO.getIsNewEnterprise();
        	}
        	boolean isSuccess = false;
        	if(isNewEnterprise) {
        		CompanyVO vo = new CompanyVO();
        		vo.setTyshxydm(checkResultVO.getBjdwTyshxydm());
        		vo.setBgdh(checkResultVO.getBjdwLxdh());
        		vo.setFddbr(checkResultVO.getBjdwFddbr());
        		vo.setQymc(checkResultVO.getBjdwName());
        		vo.setQytxdz(checkResultVO.getBjdwZz());
        		List<InspectedUnitsTypeVO> bjdwlx = checkResultVO.getBjdwlx();
        		if(CollectionUtils.isNotEmpty(bjdwlx)) {
        			List<String> typeCode = bjdwlx.stream().map(InspectedUnitsTypeVO::getJcQylx).collect(Collectors.toList());
        			String[] codeArr = (String[])typeCode.toArray();
        			vo.setQylx(codeArr);
            		List<String> typeName = bjdwlx.stream().map(InspectedUnitsTypeVO::getJcQylxmc).collect(Collectors.toList());
            		//企业类型包含纳入统计-将企业信息入统状态设置为启用
            		if(typeName.contains(UnitsTypeConstant.INCLUDED_IN_THE_STATISTICS)) {
            			vo.setRtzt(UnitsTypeConstant.ONE);
            		}
            		//企业类型包含收购资格-将企业信息是否具有收购资格设置为有
            		if(typeName.contains(UnitsTypeConstant.ACQUISITION_OF_THE_QUALIFICATION)) {
            			vo.setSfjysgzg(UnitsTypeConstant.ONE);
            		}
            		//企业类型包含纳入最高最低-将企业信息最低最高设置为是
            		if(typeName.contains(UnitsTypeConstant.INCLUSION_MINIMUM_MAXIMUM)) {
            			vo.setSfzdzgqy(UnitsTypeConstant.YES);
            		}
        		}
        		//先查询是否存统一社会信用代码
        		ResponseWrapper isExist = companyFeign.getCompanyBytyshxydm(checkResultVO.getBjdwTyshxydm());
        		if(isExist.isSuccess() && !ObjectUtils.isEmpty(isExist.getData())) {
        			return ResponseWrapper.error("统一社会信用代码已存在！");
        		}
        		// 添加被检单位
        		ResponseWrapper companyResult = companyFeign.insert(vo);
        		if(companyResult.isSuccess()) {
        			ResponseWrapper result = companyFeign.getCompanyBytyshxydm(checkResultVO.getBjdwTyshxydm());
        			if(result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
        				Object obj = result.getData();
        				JSONObject jsonObj = JSON.parseObject(JsonUtils.serialize(obj));
        				Object yjqyObj = jsonObj.get("tzYjqyVO");
        				JSONObject yjqyJson = JSON.parseObject(JsonUtils.serialize(yjqyObj));
        				//被检单位主键
        				Integer companyId = yjqyJson.getInteger("qyid");
        				checkResultVO.setBjdwId(companyId + "");
        				if(null != companyId && companyId > 0) {
        					isSuccess = true;
        				}
        			}
        		}
        		if(!isSuccess) {
        			return ResponseWrapper.error("新增企业失败");
        		}
        	}
			String checkResultStatus = checkResultVO.getJgTbbh();
        	if("18".equals(checkResultStatus) || "2".equals(checkResultStatus)){
				TaskVO taskVO= checkResultVO.getTaskVO();
				if(taskVO!=null){
					List<TeamVO> teamVOList=taskVO.getTeamVOs();
					List<ReceiverCollectionVO> userList=new ArrayList<>();
					String userId=CurrentUtil.getUserId();
					if("18".equals(checkResultStatus)){
						//提交时：其他检查组成员（日常检查、安全生产、原粮、成品粮油检查）：点击提交时，点击人的数据进办结，无待办；
                        Map<String, MemberVO> userIdMap = new HashMap<>();
						for(TeamVO teamVO : teamVOList){
							for(MemberVO memberVO: teamVO.getMembers()){
								userIdMap.put(memberVO.getZyId(), memberVO);
							}
						}
						boolean userDone=false;
                        if (userIdMap.containsKey(userId) && userIdMap.get(userId).getZylx() == 1) {
                            //是组员
                            userDone = true;
                        }
						for(TeamVO teamVO : teamVOList){
							for(MemberVO  memberVO: teamVO.getMembers()){
								ReceiverCollectionVO receiverCollectionVO=new ReceiverCollectionVO();
								receiverCollectionVO.setUserId(memberVO.getZyId());
								receiverCollectionVO.setUserName(memberVO.getZyName());
								receiverCollectionVO.setRylx(memberVO.getZylx());
								if(userDone){
									if(userId.equals(memberVO.getZyId())){
										//组员提交进办结
										receiverCollectionVO.setBjlx(1);
										userList.add(receiverCollectionVO);
									}else if(memberVO.getZylx()==0){
										//组长进待办
										userList.add(receiverCollectionVO);
									}
								}else{
									userList.add(receiverCollectionVO);
								}
							}
						}
					}else{
						for(TeamVO teamVO : teamVOList){
							for(MemberVO  memberVO: teamVO.getMembers()){
								ReceiverCollectionVO receiverCollectionVO=new ReceiverCollectionVO();
								receiverCollectionVO.setUserId(memberVO.getZyId());
								receiverCollectionVO.setUserName(memberVO.getZyName());
								receiverCollectionVO.setRylx(memberVO.getZylx());
								userList.add(receiverCollectionVO);
							}
						}
					}
					checkResultVO.setUserList(userList);
				}
			}
        	ResponseWrapper responseWrapper = dailyCheckResultService.insertEntitySelective(checkResultVO);
        	dailyCheckResultService.dataCallBackOnFinish(responseWrapper);
            return responseWrapper;
        }
    }

    @ApiOperation(value = "结果反馈---检查结果---修改", notes = "结果反馈")
    @PutMapping("/dailyCheckResult")
    public ResponseWrapper updateByEntitySelective(@Validated({UpdateGroup.class}) @RequestBody DailyCheckResultVO checkResultVO,
                                                   BindingResult bindingResult) throws Exception {
        if (bindingResult.hasErrors()) {
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        } else {
            log.info("put dailyCheckResult arg =========================================\n" + JSON.toJSONString(checkResultVO));
            AppVO appVO = new AppVO();
            String taskTypeId = checkResultVO.getRwlxId();
            if (StringUtils.isNotEmpty(taskTypeId) && ("5000110".equals(taskTypeId) || "5000120".equals(taskTypeId) || "5000150".equals(taskTypeId) || "5000160".equals(taskTypeId) || "5000170".equals(taskTypeId) || "5000180".equals(taskTypeId))) {
                // 添加待办推送人
                String checkResultStatus = checkResultVO.getJgTbbh();
                String jgZglxbh = checkResultVO.getJgZglxbh();
                // 2023年3月14日 删除盖章节点 直接完成
                List<String> constantList = Arrays.asList(DailyCheckStatusConstant.CHECK_TO_BE_SEAL.getValue(),
                        DailyCheckStatusConstant.TO_BE_REFORM.getValue(),
                        DailyCheckStatusConstant.COMPANY_TO_BE_SEAL.getValue());

                if (constantList.contains(checkResultStatus)) {
                    checkResultVO.setJgTbbh(DailyCheckStatusConstant.FINISHED.getValue());
                    checkResultVO.setJgTbmc(DailyCheckStatusConstant.FINISHED.getName());
                    checkResultStatus = DailyCheckStatusConstant.FINISHED.getValue();
                }

                // 日常检查等,LPH新增
                dailyCheckResultService.fillAppVO(checkResultStatus, taskTypeId, appVO);

                // 待盖章状态
                if ("1".equals(checkResultStatus) || "11".equals(checkResultStatus)) {//检查单位盖章
                    if ("5000110".equals(taskTypeId)) {//日常
                        userService.addRoleUserList(checkResultVO, "R0000088");
                    } else if ("5000120".equals(taskTypeId) || "5000160".equals(taskTypeId) || "5000180".equals(taskTypeId)) {
                        userService.addRoleUserList(checkResultVO, "R0000093");
                    } else if ("5000150".equals(taskTypeId) || "5000170".equals(taskTypeId)) {
                        userService.addRoleUserList(checkResultVO, "R0000164");
                    }
                } else if ("7".equals(checkResultStatus) || "16".equals(checkResultStatus)) {//被检单位盖章权限
                    userService.addRoleUserList(checkResultVO, "R0000141");
                } else if ("3".equals(checkResultStatus)
                        /*||"31".equals(checkResultStatus)*/  //LPH修改
                        || "5".equals(checkResultStatus) || "6".equals(checkResultStatus)) { // 整改状态
                    ResponseWrapper result = userClient.findUserDeptId(checkResultVO.getBjdwId(), "1", "");
                    if (result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
                        Object obj = result.getData();
                        List<ReceiverCollectionVO> userList = Lists.newArrayList();
                        JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
                        arr.forEach(user -> {
                            JSONObject userObj = (JSONObject) user;
                            ReceiverCollectionVO vo = new ReceiverCollectionVO();
                            vo.setUserId(userObj.getString("userCode"));
                            vo.setUserName(userObj.getString("userName"));
                            vo.setRylx(0);
                            userList.add(vo);
                        });
                        checkResultVO.setUserList(userList);
                    }
                } else if (
                    //"10".equals(checkResultStatus)
                        "33".equals(checkResultStatus)) { // 组长验收，组长审批
                    List<MemberVO> memberVOs = ("5000150".equals(taskTypeId) || "5000170".equals(taskTypeId)) ? checkResultVO.getTaskVO().getMembers() : checkResultVO.getTeamVO().getMembers();
                    List<ReceiverCollectionVO> userList = Lists.newArrayList();
                    for (MemberVO vo : memberVOs) {
                        ReceiverCollectionVO receiverCollectionVO = new ReceiverCollectionVO();
                        receiverCollectionVO.setUserId(vo.getZyId());
                        receiverCollectionVO.setUserName(vo.getZyName());
                        receiverCollectionVO.setRylx(0);
                        userList.add(receiverCollectionVO);
                    }
                    checkResultVO.setUserList(userList);
                } else if ("23".equals(checkResultStatus)) {
                    List<ReceiverCollectionVO> userList = Lists.newArrayList();
                    List<MemberVO> memberVOs = checkResultVO.getTeamVO().getMembers();
                    for (MemberVO vo : memberVOs) {
                        if (0 == vo.getZylx()) {
                            ReceiverCollectionVO receiverCollectionVO = new ReceiverCollectionVO();
                            receiverCollectionVO.setUserId(vo.getZyId());
                            receiverCollectionVO.setUserName(vo.getZyName());
                            receiverCollectionVO.setRylx(0);
                            userList.add(receiverCollectionVO);
                        }
                    }
                    appVO.setIspad("1");
                    appVO.setTyname("DEAL-" + taskTypeId);
                    checkResultVO.setUserList(userList);
                } else if ("18".equals(checkResultStatus)) {
                    String userId = CurrentUtil.getUserId();
                    List<TeamVO> teamVOList = checkResultVO.getTaskVO().getTeamVOs();
                    List<ReceiverCollectionVO> userList = Lists.newArrayList();
                    Map<String, MemberVO> userIdMap = new HashMap<>();
                    for (TeamVO teamVO : teamVOList) {
                        for (MemberVO memberVO : teamVO.getMembers()) {
                            userIdMap.put(memberVO.getZyId(), memberVO);
                        }
                    }
                    boolean userDone = false;
                    if (userIdMap.containsKey(userId) && userIdMap.get(userId).getZylx() == 1) {
                        //是组员
                        userDone = true;
                    }
                    for (TeamVO teamVO : teamVOList) {
                        for (MemberVO memberVO : teamVO.getMembers()) {
                            ReceiverCollectionVO receiverCollectionVO = new ReceiverCollectionVO();
                            receiverCollectionVO.setUserId(memberVO.getZyId());
                            receiverCollectionVO.setUserName(memberVO.getZyName());
                            receiverCollectionVO.setRylx(memberVO.getZylx());
                            if (userDone) {
                                if (userId.equals(memberVO.getZyId())) {
                                    //组员提交进办结
                                    receiverCollectionVO.setBjlx(1);
                                    userList.add(receiverCollectionVO);
                                } else if (memberVO.getZylx() == 0) {
                                    //组长进待办
                                    userList.add(receiverCollectionVO);
                                }
                            } else {
                                if (memberVO.getZylx() == 0) {
                                    //组长进待办
                                    userList.add(receiverCollectionVO);
                                }
                            }
                        }
                    }
                    appVO.setIspad("1");
                    appVO.setTyname("REVIEW-" + taskTypeId);
                    checkResultVO.setUserList(userList);
                } else if (
                    //LPH新增
                        ("0".equals(checkResultStatus)
                                && (taskTypeId.equals("5000180")
                                || taskTypeId.equals("5000170")
                                || taskTypeId.equals("5000160")
                                || taskTypeId.equals("5000150")
                                || taskTypeId.equals("5000120")
                                || taskTypeId.equals("5000110")))
                                || ("2".equals(checkResultStatus)
                                && (taskTypeId.equals("5000180")
                                || taskTypeId.equals("5000170")
                                || taskTypeId.equals("5000120")
                                || taskTypeId.equals("5000160")
                                || taskTypeId.equals("5000150")
                                || taskTypeId.equals("5000110")))
                                || ("10".equals(checkResultStatus)
                                && (taskTypeId.equals("5000170")
                                || taskTypeId.equals("5000160")
                                || taskTypeId.equals("5000150")
                                || taskTypeId.equals("5000120")))
                ) {
                    List<ReceiverCollectionVO> userList = Lists.newArrayList();
                    TeamVO teamVO = checkResultVO.getTeamVO();
                    List<MemberVO> memberVOs = null;
                    if (teamVO == null) {
                        TaskVO taskVO = checkResultVO.getTaskVO();
                        if (taskVO != null) {
                            memberVOs = taskVO.getMembers();
                        }
                    } else {
                        memberVOs = teamVO.getMembers();
                    }
                    if (memberVOs != null) {
                        /*List<MemberVO> memberVOs  = ("5000150".equals(taskTypeId)||"5000170".equals(taskTypeId))?checkResultVO.getTaskVO().getMembers():checkResultVO.getTeamVO().getMembers();*/
                        for (MemberVO vo : memberVOs) {
                            ReceiverCollectionVO receiverCollectionVO = new ReceiverCollectionVO();
                            receiverCollectionVO.setUserId(vo.getZyId());
                            receiverCollectionVO.setUserName(vo.getZyName());
                            receiverCollectionVO.setRylx(0);
                            userList.add(receiverCollectionVO);
                        }
                        checkResultVO.setUserList(userList);
                        appVO.setIspad("1");
                        String typename = "";
                        if ("0".equals(checkResultStatus)) {
                            typename = "CHECK-" + taskTypeId;
                        } else if ("2".equals(checkResultStatus)) {
                            typename = "ADD-" + taskTypeId;
                        } else if ("10".equals(checkResultStatus)) {
                            typename = "DEAL-" + taskTypeId;
                        }
                        appVO.setTyname(typename);
                    }
                } else if ("17".equals(checkResultStatus)) { // 属地监管
                    if (checkResultVO.getSdjg() == 0) {
                        cn.hutool.json.JSONObject object = JSONUtil.parseObj(checkResultVO.getJgqy());
                        String dwid = object.getStr("jgqyId");
                        ResponseWrapper result = userClient.findUserDeptId(dwid, "1", "");
                        if (result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
                            Object obj = result.getData();
                            List<ReceiverCollectionVO> userList = Lists.newArrayList();
                            JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
                            arr.forEach(user -> {
                                JSONObject userObj = (JSONObject) user;
                                ReceiverCollectionVO vo = new ReceiverCollectionVO();
                                vo.setUserId(userObj.getString("userCode"));
                                vo.setUserName(userObj.getString("userName"));
                                vo.setRylx(0);
                                userList.add(vo);
                            });
                            checkResultVO.setUserList(userList);
                        }
                        appVO.setIspad("1");
                        appVO.setTyname("DEALQLB-" + taskTypeId);
                    }
                } else if ("21".equals(checkResultStatus)) {//调整审批获取监督检查处处长
                    ResponseWrapper result = userClient.findBySectionChief("DP353", "10230006", "LS001");
                    if (result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
                        Object obj = result.getData();
                        List<ReceiverCollectionVO> userList = Lists.newArrayList();
                        JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
                        arr.forEach(user -> {
                            JSONObject userObj = (JSONObject) user;
                            ReceiverCollectionVO vo = new ReceiverCollectionVO();
                            vo.setUserId(userObj.getString("userCode"));
                            vo.setUserName(userObj.getString("userName"));
                            vo.setRylx(0);
                            userList.add(vo);
                        });
                        checkResultVO.setUserList(userList);
                    }
                } else if ("20".equals(checkResultStatus)) {
                    List<MemberVO> memberVOs = checkResultVO.getTeamVO().getMembers();
                    ResponseWrapper result = userClient.findUserDeptId(checkResultVO.getBjdwId(), "1", "");
                    if (result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
                        Object obj = result.getData();
                        List<ReceiverCollectionVO> userList = Lists.newArrayList();
                        JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
                        //企业待办
                        arr.forEach(user -> {
                            JSONObject userObj = (JSONObject) user;
                            ReceiverCollectionVO vo = new ReceiverCollectionVO();
                            vo.setUserId(userObj.getString("userCode"));
                            vo.setUserName(userObj.getString("userName"));
                            vo.setRylx(0);
                            userList.add(vo);
                        });
                        //组长上传
                        for (MemberVO vo : memberVOs) {
                            if (vo.getZylx() == 0) {//组长
                                ReceiverCollectionVO receiverCollectionVO = new ReceiverCollectionVO();
                                receiverCollectionVO.setUserId(vo.getZyId());
                                receiverCollectionVO.setUserName(vo.getZyName());
                                receiverCollectionVO.setRylx(0);
                                userList.add(receiverCollectionVO);
                            }
                        }
                        checkResultVO.setUserList(userList);
                    }
                }
            }
            checkResultVO.setAppVO(appVO);
            /*ResponseWrapper resp= dailyCheckResultApi.selectSingleByIdResult(checkResultVO);
            if(resp.isSuccess()){

            }*/

            ResponseWrapper responseWrapper = dailyCheckResultApi.updateByEntitySelective(checkResultVO);
            //进行审批清理
            ResponseWrapper dailyCheckResultShowVO = dailyCheckResultApi.selectById(checkResultVO);
            DailyCheckResultVO dailyCheckResultVO1 = new DailyCheckResultVO();
            if (!ObjectUtils.isEmpty(dailyCheckResultShowVO.getData())) {
                LsBeanUtils.copyAllProperties(dailyCheckResultShowVO.getData(), dailyCheckResultVO1);
            }
            FlowTodoVO flowTodoVO = new FlowTodoVO();
            flowTodoVO.setBusinessInfo("CHECK" + "-" + dailyCheckResultVO1.getRwlxId() + ":" + dailyCheckResultVO1.getJgId());
            flowTodoVO.setMessage("检查状态");
            flowTodoClient.complete(flowTodoVO);
            flowTodoVO.setBusinessInfo("DEAL" + "-" + dailyCheckResultVO1.getRwlxId() + ":" + dailyCheckResultVO1.getJgId());
            flowTodoVO.setMessage("检查状态");
            flowTodoClient.complete(flowTodoVO);
            //新增代办
            log.error(dailyCheckResultVO1.getJgTbbh());
            if (checkResultVO.getJgTbbh().equals("10")) {
                StartTodoVO startTodoVO = new StartTodoVO();
                startTodoVO.setBusinessName(checkResultVO.getRwmc());
                startTodoVO.setBusinessType("DEAL" + "-" + checkResultVO.getRwlxId());
                startTodoVO.setBusinessTypeName(checkResultVO.getRwlxMc());
                startTodoVO.setCompanyName(checkResultVO.getBjdwName());
                startTodoVO.setCompleteStatus("待审核");
                startTodoVO.setMessage(checkResultVO.getRwlxMc() + "待审核");
                startTodoVO.setDueDate(String.valueOf(checkResultVO.getJckssj()));
                startTodoVO.setId(checkResultVO.getJgId());
                ResponseWrapper inspectionTeamList = teamFeign.getIinspectionTeamList(checkResultVO.getRwId());
                List<TaskVO> teamVOS = JsonUtils.parseList(JsonUtils.serialize(inspectionTeamList.getData()), TaskVO.class);
                List<String> list = new ArrayList<>();
                Iterator<TaskVO> iterator = teamVOS.iterator();
                while (iterator.hasNext()) {
                    Object taskvo = iterator.next();
                    TaskVO taskVO = (TaskVO) taskvo;
                    TaskVO taskV = new TaskVO();
                    LsBeanUtils.copyAllProperties(taskVO, taskV);
                    list.add("U0000260");
                    for (MemberVO memberVO : taskV.getMembers()) {
                        list.add(memberVO.getZyId());
                    }
                    String s = StringUtils.join(list, ',');
                    startTodoVO.setRoleId(s);
                }
                ResponseWrapper responseWrapper1 = flowTodoClient.startNewTask(startTodoVO);
                log.error(responseWrapper1.getInfoCode() + responseWrapper1.getData().toString());
            }
            dailyCheckResultService.dataCallBackOnFinish(responseWrapper);
            // 更新检查人信息
            TaskVO taskVO = checkResultVO.getTaskVO();
            if (taskVO != null && taskVO.getMembers() != null) {
                dailyCheckResultService.updateTJczzy(taskVO);
            }
            return responseWrapper;
        }
    }

    @ApiOperation(value = "结果反馈---检查结果---删除", notes = "结果反馈")
    @DeleteMapping("/dailyCheckResult")
    public ResponseWrapper deleteByEntity(@RequestBody DailyCheckResultShowVO checkResultShowVO){
        DailyCheckResultVO checkResultVO=JsonUtils.parse(
            JsonUtils.serialize(checkResultShowVO),DailyCheckResultVO.class);
		ResponseWrapper resp=dailyCheckResultApi.selectById(checkResultVO);

        ResponseWrapper responseWrapper= dailyCheckResultApi.deleteByEntity(checkResultVO);
        if(responseWrapper.isSuccess()){
			if(resp.isSuccess() && resp.getData()!=null){
				DailyCheckResultVO vo=JsonUtils.parse(JsonUtils.serialize(resp.getData()), DailyCheckResultVO.class);
				if(vo!=null){
					inspectionTaskService.callBackOnFinish(vo.getJhid());
				}
			}
		}
        return responseWrapper;
    }

    @ApiOperation(value = "结果反馈---检查结果---更新状态", notes = "结果反馈")
    @PutMapping("/dailyCheckResultStatus")
    public ResponseWrapper updateStatusByEntity(@RequestBody DailyCheckResultVO checkResultVO) {
        return dailyCheckResultApi.updateStatusByEntity(checkResultVO);
    }

    @Autowired
    private InspectionplanFeign inspectionplanFeign;

    @ApiOperation(value = "结果反馈---检查结果---更新状态", notes = "结果反馈")
    @PostMapping("/updateBackByEntity")
    public ResponseWrapper updateBackByEntity(@RequestBody DailyCheckResultVO checkResultVO) {
    	ResponseWrapper responseWrapper = dailyCheckResultApi.updateBackByEntity(checkResultVO);
    	if(responseWrapper.getInfoCode()==200) {
    		inspectionplanFeign.backlog(checkResultVO.getJgId());
    	}
        return responseWrapper;
    }

    @ApiOperation(value = "结果反馈---检查结果---分页查询列表,pageSize,pageNum从url传", notes = "结果反馈")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
            @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/dailyCheckResultPage")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody DailyCheckResultVO checkResultVO) {
        checkResultVO.setJcdwId(CurrentUtil.getOrgId());
        return dailyCheckResultService.selectPageByEntity(pageNum, pageSize, checkResultVO);
    }

	@ApiOperation(value = "结果反馈---库级监管查询原粮储备粮的检查结果---分页查询列表,pageSize,pageNum从url传", notes = "结果反馈")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
			@ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
	})
	@PostMapping("/dailyCheckResultYlCplPage")
	public ResponseWrapper selectPageYlCplByEntity(
			@RequestParam(value = "pageNum", defaultValue = "1") int pageNum
			,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
			,@RequestBody DailyCheckResultVO checkResultVO) {
		return dailyCheckResultApi.dailyCheckResultYlCplPage(pageNum,pageSize
				, checkResultVO);
	}

	@ApiOperation(value = "结果反馈---检查结果---分页查询列表(可视化),pageSize,pageNum从url传", notes = "结果反馈")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
			@ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
	})
	@PostMapping("/dailyCheckResultPageForKSH")
	public ResponseWrapper dailyCheckResultPageForKSH(
			@RequestParam(value = "pageNum", defaultValue = "1") int pageNum
			,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
			,@RequestBody DailyCheckSearchVO dailyCheckSearchVO) {
		return dailyCheckResultService.selectPageByEntityForKSH(pageNum,pageSize
				, dailyCheckSearchVO);
	}

    @ApiOperation(value = "结果反馈---检查结果---分页查询检查组任务列表,pageSize,pageNum从url传", notes = "结果反馈")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
            @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/dailyCheckResultTeamPage")
    public ResponseWrapper dailyCheckResultTeamPage(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody DailyCheckResultVO checkResultVO) {
        return dailyCheckResultService.selectTeamPageByEntity(pageNum,pageSize
                , checkResultVO);
    }

    @ApiOperation(value = "结果反馈---检查结果---当前组织的分页查询列表,pageSize,pageNum从url传", notes = "结果反馈")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
            @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/dailyCheckResultOwnerPage")
    public ResponseWrapper selectOwnerPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody DailyCheckResultVO checkResultVO) {
        return dailyCheckResultApi.selectOwnerPageByEntity(pageNum,pageSize
                , checkResultVO);
    }

    @ApiOperation(value = "结果反馈---检查结果---查询详情", notes = "结果反馈")
    @PostMapping("/dailyCheckResultDetail")
    public ResponseWrapper selectById(@RequestBody DailyCheckResultShowVO checkResultShowVO){
        DailyCheckResultVO checkResultVO= JsonUtils.parse(
                JsonUtils.serialize(checkResultShowVO),DailyCheckResultVO.class);
        return dailyCheckResultService.selectById(checkResultVO);
    }

   /* @ApiOperation(value = "结果反馈---检查结果---初始化数据", notes = "结果反馈")
    @PostMapping("/dailyCheckResult/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody DailyCheckResultVO checkResultVO){
        return dailyCheckResultClient.selectInitData(checkResultVO);
    }*/


    @ApiOperation(value = "结果反馈---表单记录主表---修改", notes = "结果反馈")
    @PostMapping("/dailyCheckResultFormMain")
    public ResponseWrapper updateByEntitySelective(@Validated({UpdateGroup.class}) @RequestBody DailyCheckResultDetailVO resultDetailVO
            ,BindingResult bindingResult) {
        if(bindingResult.hasErrors()){
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        }else{
            return dailyCheckResultApi.updateByEntitySelective(resultDetailVO);
        }
    }

    @ApiOperation(value = "结果反馈---表单记录主表---查询详情", notes = "结果反馈")
    @PostMapping("/dailyCheckResultFormMainDetail")
    public ResponseWrapper selectById(@RequestBody DailyCheckResultDetailShowVO resultDetailShowVO){
        DailyCheckResultDetailVO resultDetailVO=JsonUtils.parse(
                JsonUtils.serialize(resultDetailShowVO),DailyCheckResultDetailVO.class);
        return dailyCheckResultApi.selectById(resultDetailVO);
    }

    @ApiOperation(value = "结果反馈---表单记录明细表(储备粮公司)---修改", notes = "结果反馈")
    @PostMapping("/formDetail/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@Validated({UpdateGroup.class}) @RequestBody FormDetailVO formDetailVO
            ,BindingResult bindingResult) {
        if(bindingResult.hasErrors()){
            return ResponseWrapper.validateFail(bindingResult.getAllErrors());
        }else{
            return dailyCheckResultApi.updateByEntitySelective(formDetailVO);
        }
    }

    @ApiOperation(value = "结果反馈---表单记录明细表(储备粮公司)---查询详情", notes = "结果反馈")
    @PostMapping("/formDetail/selectById")
    public ResponseWrapper selectById(@RequestBody FormDetailShowVO formDetailShowVO){
        FormDetailVO formDetailVO=JsonUtils.parse(
                JsonUtils.serialize(formDetailShowVO),FormDetailVO.class);
        return dailyCheckResultApi.selectById(formDetailVO);
    }

    /**
     * @Title: getQyZgNotes
     * @Description: 方法描述:(企业整改数据统计 - 整改)
     * @param @param checkResultVO
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
    @ApiOperation(value = "企业整改数据统计 - 整改", notes = "企业整改:年份")
    @GetMapping("/manager/resultback/dailyCheckResult/QyZgNotes/{year}")
    public ResponseWrapper getQyZgNotes(@PathVariable("year")String year) {
		return dailyCheckResultApi.getQyZgNotes(year);
	}


    /**
     * @Title: getQyZgNotes
     * @Description: 方法描述:(企业整改数据统计 - 整改)
     * @param @param checkResultVO
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
    @ApiOperation(value = "根据检查组人员编号判断查询人员履职表", notes = "参数：人员编号")
    @GetMapping("/peopleStarted/list/{rybh}")
    public ResponseWrapper getPeopleStartedList(@PathVariable("rybh") String rybh, @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize) {
        try {
            PageInfo checkResultVOPageInfo = dailyCheckResultService.getDailyCheckResultPageList(rybh,pageNum,pageSize);
            if (checkResultVOPageInfo==null) {
                return ResponseWrapper.success(HttpStatus.BAD_REQUEST.value(), "获取失败", null);
            }
            return ResponseWrapper.success(HttpStatus.OK.value(),"获取成功", checkResultVOPageInfo);
        } catch (Exception e) {
            e.printStackTrace();
            log.error(e.getMessage());
        }
        return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(),"服务错误，请联系管理员");
    }



    @ApiOperation(value = "监督检查--结果反馈【导出】", notes = "参数：人员编号")
    @PostMapping(value = "/inspectionResultExport")
    public ResponseWrapper inspectionResultExport(@RequestBody DailyCheckResultVO checkResultVO,HttpServletRequest request, HttpServletResponse response) {
        try {
    		// 列表查看权限->1：检查组成员（任务派发和新增数据） 2：当前登录用户所在部门所有用户（任务制定人所在部门）
    		Set<String> taskIds = Sets.newHashSet();
    		String departmentId = CurrentUtil.getDeptId();
    		String userId = CurrentUtil.getUserId();
    		if(StringUtils.isNotEmpty(departmentId)) {
    			JSONObject obj = new JSONObject();
    			obj.put("deptCode", departmentId);
    			ResponseWrapper result = userClient.findByDeptCode(obj, 1, 10000);
    			if(result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
    				Object content = result.getData();
    				JSONObject jsonObj = JSON.parseObject(JsonUtils.serialize(content));
    				JSONArray jsonArray = jsonObj.getJSONArray("content");
    				if(CollectionUtils.isNotEmpty(jsonArray)) {
    					List<String> makers = Lists.newArrayList();
    					jsonArray.stream().forEach( member -> {
    						JSONObject memberObj = (JSONObject)member;
    						String userCode = memberObj.getString("userCode");
    						if(StringUtils.isNotEmpty(userCode)) {
    							makers.add(userCode);
    						}
    					});
    					ResponseWrapper taskResult = taskFeign.getTaskIdsByMakers(makers);
    					if(taskResult.isSuccess() && !ObjectUtils.isEmpty(taskResult.getData())) {
    						Object taskIdsObj =  taskResult.getData();
    						JSONArray arr = JSON.parseArray(JsonUtils.serialize(taskIdsObj));
    						arr.stream().forEach( taskId -> {
    							taskIds.add((String)taskId);
    						});
    					}
    				}
    			}
    		}
    		ResponseWrapper teamResult = teamFeign.getTaskIdsListByMemberId(userId);
    		Set<String> taskIdsByUserId = Sets.newHashSet();
    		if(teamResult.isSuccess() && !ObjectUtils.isEmpty(teamResult.getData())) {
    			Object teamObj = teamResult.getData();
    			JSONArray arr = JSON.parseArray(JsonUtils.serialize(teamObj));
    			arr.stream().forEach( taskId -> {
    				taskIdsByUserId.add((String)taskId);
    				taskIds.add((String)taskId);
    			});
    		}
    		if(CollectionUtils.isNotEmpty(taskIds)) {
    			checkResultVO.setTaskIds(taskIds);
    		} else {
    			checkResultVO.setTaskIds(null);
    		}
    		if(CollectionUtils.isEmpty(taskIdsByUserId)) {
    			checkResultVO.setTeamTaskIds(null);
    		} else {
    			checkResultVO.setTeamTaskIds(taskIdsByUserId);
    		}
    		checkResultVO.setTeamMember("\"zyId\":\"" + CurrentUtil.getUserId() + "\"");
            ResponseWrapper inspectionResultExport = dailyCheckResultApi.inspectionResultExport(checkResultVO);
            if (inspectionResultExport.getInfoCode() == 200) {
                LinkedHashMap pageInfoMap = (LinkedHashMap) inspectionResultExport.getData();
                List<DailyCheckResultVO> items = (List<DailyCheckResultVO>) pageInfoMap.get("items");
                LinkedHashMap<String, String> columnName = new LinkedHashMap<>();
                columnName.put("rwId","任务编号");
                columnName.put("rwmc","任务名称");
                columnName.put("bjdwName","被检单位名称");
                columnName.put("jcdwmc","检查单位");
                columnName.put("jcsj","检查时间");
                columnName.put("jgTjr","提交人");
                columnName.put("jgTjsj","提交时间");
                columnName.put("jgZglxmc","整改类型");
                columnName.put("jgTbmc","状态");
                //输出Excel文件
                ServletOutputStream output = response.getOutputStream();
                response.reset();
                response.setHeader("content-disposition","attachment;filename=" + new String(("XCGS"+ DateUtil.getDate()).getBytes("gb2312"), "ISO8859-1") + ".xls");
                response.setContentType("application/msexcel");
                ExcelUtil.pojo2Excel(items,output,columnName,"结果反馈"+ DateUtil.getDate());
                output.close();
                return null;
            } else {
                return inspectionResultExport;
            }
        } catch (Exception e) {
            e.printStackTrace();
            log.error(e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "导出失败", null);
        }
    }

    @ApiOperation(value = "结果反馈---调整流程---新增", notes = "调整流程新增")
	@PostMapping("/dailyCheckResult/additionProcessAdjustment")
	public ResponseWrapper insertProcessAdjustment(@RequestBody DailyCheckProcessAdjustmentAddVO record) {
		return dailyCheckResultApi.insertProcessAdjustment(record);
	}

	@ApiOperation(value = "结果反馈---调整流程---修改", notes = "调整流程修改")
	@PostMapping("/dailyCheckResult/modificationProcessAdjustment")
	public ResponseWrapper updateProcessAdjustment(@RequestBody DailyCheckProcessAdjustmentAddVO record) {
		return dailyCheckResultApi.updateProcessAdjustment(record);
	}

	@ApiOperation(value = "结果反馈---调整流程---审核", notes = "调整流程审核")
	@PostMapping("/dailyCheckResult/auditProcessAdjustment")
	public ResponseWrapper auditProcessAdjustment(@RequestBody DailyCheckProcessAdjustmentAuditVO record) {
		return dailyCheckResultApi.auditProcessAdjustment(record);
	}

	@ApiOperation(value = "结果反馈---调整流程---查看详情", notes = "结果反馈---调整流程---查看详情")
	@GetMapping("/dailyCheckResult/viewProcessAdjustment/{checkResultId}")
	public ResponseWrapper viewProcessAdjustment(@PathVariable(name = "checkResultId") String checkResultId) {
		return dailyCheckResultApi.viewProcessAdjustment(checkResultId);
	}

    @ApiOperation(value = "结果反馈---检查工作开展情况统计", notes = "检查工作开展情况统计")
    @PostMapping("/dailyCheckResult/developmentSituationList")
    public ResponseWrapper developmentSituationList(@RequestBody DevelopmentSituationQueryVO developmentSituationQueryVO) {
        return dailyCheckResultService.developmentSituationList(developmentSituationQueryVO);
    }



    @ApiOperation(value = "结果反馈---检查结果---查询企业近3个月检查记录", notes = "结果反馈")
    @PostMapping("/dailyCheckResultList/{bjdwId}")
    public ResponseWrapper dailyCheckResultList(@PathVariable("bjdwId") String bjdwId){
        return dailyCheckResultApi.dailyCheckResultList(bjdwId);
    }

    @ApiOperation(value = "结果反馈---检查结果---综合查询权限区分", notes = "综合查询权限区分")
    @PostMapping("/dailyCheckResult/resultList")
    public ResponseWrapper resultList(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody ResultApplyQuery resultApplyQuery) {
    	 return dailyCheckResultApi.resultList(pageNum,pageSize,resultApplyQuery);
    }


    @ApiOperation(value = "结果反馈---检查结果---区级日常任务查询", notes = "综合查询权限区分")
    @PostMapping("/dailyCheckResult/resultListDis")
    public ResponseWrapper resultListDis(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody ResultApplyQuery resultApplyQuery) {
//    	ResponseWrapper responseWrapper = null;
//    	List<String> rwids = new ArrayList<String>();
//    	com.unis.inspectiontask.common.vo.ResultApplyQuery taskChangeVO = new com.unis.inspectiontask.common.vo.ResultApplyQuery();
//    	if((resultApplyQuery.getCheckContentIds()!=null&&resultApplyQuery.getCheckContentIds().size()>0)||(resultApplyQuery.getCheckItemIds()!=null&&resultApplyQuery.getCheckItemIds().size()>0)) {
//    		taskChangeVO.setCheckContentIds(resultApplyQuery.getCheckContentIds());
//    		taskChangeVO.setCheckItemIds(resultApplyQuery.getCheckItemIds());
//    		responseWrapper = taskFeign.taskList(taskChangeVO);
//    	}
//    	//查询检查内容与子项的任务
//    	if(responseWrapper!=null&&responseWrapper.getInfoCode()!=200) {
//    		return responseWrapper;
//    	} else if(responseWrapper==null){
//    		return dailyCheckResultApi.resultListDis(pageNum,pageSize,resultApplyQuery);
//    	} else {
//    		cn.hutool.json.JSONArray array = JSONUtil.parseArray(responseWrapper.getData());
//    		for(int i =0 ;i<array.size();i++) {
////    			JSONObject jsonObject2 = array.getJSONObject(i);
//    			System.out.println(array.get(i));
//    			rwids.add( JSONUtil.toJsonStr(array.get(i)));
//    		}
//    	}
//    	resultApplyQuery.setRwIds(rwids);
    	return dailyCheckResultApi.resultListDis(pageNum,pageSize,resultApplyQuery);
    }

    @ApiOperation(value = "结果反馈---企业原粮列表", notes = "结果反馈")
    @PostMapping("/dailyCheckResult/selectKcxx/{tyshxydm}")
    public ResponseWrapper selectKcxx(@PathVariable("tyshxydm") String tyshxydm){
		DCfxxsjyVO dCfxxsjyVO =new DCfxxsjyVO();
		dCfxxsjyVO.setTyshxydm(tyshxydm);
		ResponseWrapper responseWrapper = warehouseFeign.warehouseYuanLiangList(dCfxxsjyVO);
		cn.hutool.json.JSONArray array = new cn.hutool.json.JSONArray();
		Map<String,List<Object>> map=new HashMap<>();
		if(responseWrapper.isSuccess()) {
			if(responseWrapper.getData()!=null) {
				List<String> cfbhList=new ArrayList<>();
				array = JSONUtil.parseArray(responseWrapper.getData());
				Iterator<Object> it= array.iterator();
				cn.hutool.json.JSONObject jsonObject=null;
				while(it.hasNext()){
					jsonObject=(cn.hutool.json.JSONObject)it.next();
					jsonObject.put("sfyg", "0");
					String lspzmc=jsonObject.getStr("lspz");
					boolean isYuanLiang=true;
					if(StringUtils.isNotEmpty(lspzmc)){
						for(String s : chengPinLiangArray){
							if(lspzmc.contains(s)){
								isYuanLiang=false;
								break;
							}
						}
					}
					if(!isYuanLiang){
						it.remove();
					}else{
						String cfbh=jsonObject.getStr("cfbh");
						if(StringUtils.isNotEmpty(cfbh)){
							cfbhList.add(cfbh);
						}
					}
				}

				Map<String, BaseKcVO> wdMap=new HashMap<>();
				ResponseWrapper resp= dailyCheckResultApi.selectBatchWd(cfbhList);
				if(resp.isSuccess() && resp.getData()!=null){
					List<BaseKcVO> wdList= JsonUtils.parseList(JsonUtils.serialize(resp.getData()), BaseKcVO.class);
					if(wdList!=null){
						for(BaseKcVO baseKcVO : wdList){
							wdMap.put(baseKcVO.getCfbh(), baseKcVO);
						}
					}
				}
				List<Object> cList=null;
				for(Object obj : array){
					jsonObject=(cn.hutool.json.JSONObject)obj;
					String lsxzbm=jsonObject.getStr("lsxzbm");
					//String lsxzmc=jsonObject.getStr("LSXZBMMC");
					String cfbh=jsonObject.getStr("cfbh");
					if(StringUtils.isNotEmpty(cfbh)){
						BaseKcVO baseKcVO= wdMap.get(cfbh);
						if(baseKcVO!=null){
							jsonObject.put("cfwd", baseKcVO.getCfwd());
							jsonObject.put("cfsd", baseKcVO.getCfsd());
						}
					}
					if(StringUtils.isNotEmpty(lsxzbm)){
						//市级和区级单独处理
						if("6877".equals(lsxzbm) || "6878".equals(lsxzbm)){
							if(map.containsKey(lsxzbm)){
								cList=map.get(lsxzbm);
								cList.add(obj);
							}else{
								cList=new ArrayList<>();
								cList.add(obj);
								map.put(lsxzbm,cList );
							}
						}else{
							//其他类型
							if(map.containsKey("other")){
								cList=map.get("other");
								cList.add(obj);
							}else{
								cList=new ArrayList<>();
								cList.add(obj);
								map.put("other",cList );
							}
						}
					}
					String kcsl=jsonObject.getStr("kcsl");
					if(StringUtils.isNotEmpty(kcsl)){
						jsonObject.put("kcsl",kcsl.substring(0,kcsl.length()-2));
					}
				}
			}
		}
		return ResponseWrapper.success(map);
    }


    @ApiOperation(value = "结果反馈---检查结果---区级日常任务导出", notes = "综合查询权限区分")
    @PostMapping("/dailyCheckResult/resultListDisExport")
    public ResponseWrapper resultListDisExport(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody ResultApplyQuery resultApplyQuery,HttpServletRequest request, HttpServletResponse response) throws Exception {
//    	ResponseWrapper responseWrapper = null;
//    	List<String> rwids = new ArrayList<String>();
//    	com.unis.inspectiontask.common.vo.ResultApplyQuery taskChangeVO = new com.unis.inspectiontask.common.vo.ResultApplyQuery();
//    	if((resultApplyQuery.getCheckContentIds()!=null&&resultApplyQuery.getCheckContentIds().size()>0)||(resultApplyQuery.getCheckItemIds()!=null&&resultApplyQuery.getCheckItemIds().size()>0)) {
//    		taskChangeVO.setCheckContentIds(resultApplyQuery.getCheckContentIds());
//    		taskChangeVO.setCheckItemIds(resultApplyQuery.getCheckItemIds());
//    		responseWrapper = taskFeign.taskList(taskChangeVO);
//    	}
//    	//查询检查内容与子项的任务
//    	if(responseWrapper!=null&&responseWrapper.getInfoCode()!=200) {
//    		return responseWrapper;
//    	} else if(responseWrapper==null){
//    		ResponseWrapper inspectionResultExport = dailyCheckResultApi.resultListDis(pageNum,pageSize,resultApplyQuery);
//            if (inspectionResultExport.getInfoCode() == 200) {
//                LinkedHashMap pageInfoMap = (LinkedHashMap) inspectionResultExport.getData();
//                List<ResultApplyVO> items = (List<ResultApplyVO>) pageInfoMap.get("items");
//                LinkedHashMap<String, String> columnName = new LinkedHashMap<>();
//                columnName.put("rwId","任务编号");
//                columnName.put("rwmc","任务名称");
//                columnName.put("bjdwName","被检单位");
//                columnName.put("jcdwmc","检查单位");
//                columnName.put("jcsj","检查时间");
//                columnName.put("jgTjr","提交人");
//                columnName.put("jgTjsj","提交时间");
//                columnName.put("jgZglxmc","整改类型");
//                columnName.put("jgTbmc","状态");
//                //输出Excel文件
//                ServletOutputStream output = response.getOutputStream();
//                response.reset();
//                response.setHeader("content-disposition","attachment;filename=" + new String(("XCGS"+ DateUtil.getDate()).getBytes("gb2312"), "ISO8859-1") + ".xls");
//                response.setContentType("application/msexcel");
//                ExcelUtil.pojo2Excel(items,output,columnName,"区级任务查看"+ DateUtil.getDate());
//                output.close();
//                return null;
//            } else {
//                return inspectionResultExport;
//            }
//    	} else {
//    		cn.hutool.json.JSONArray array = JSONUtil.parseArray(responseWrapper.getData());
//    		for(int i =0 ;i<array.size();i++) {
////    			JSONObject jsonObject2 = array.getJSONObject(i);
//    			System.out.println(array.get(i));
//    			rwids.add( JSONUtil.toJsonStr(array.get(i)));
//    		}
//    	}
//    	resultApplyQuery.setRwIds(rwids);



    	ResponseWrapper inspectionResultExport = dailyCheckResultApi.resultListDis(pageNum,pageSize,resultApplyQuery);
        if (inspectionResultExport.getInfoCode() == 200) {
            LinkedHashMap pageInfoMap = (LinkedHashMap) inspectionResultExport.getData();
            List<ResultApplyVO> items = (List<ResultApplyVO>) pageInfoMap.get("items");
            LinkedHashMap<String, String> columnName = new LinkedHashMap<>();
            columnName.put("rwId","任务编号");
            columnName.put("rwmc","任务名称");
            columnName.put("bjdwName","被检单位");
            columnName.put("jcdwmc","检查单位");
            columnName.put("jcsj","检查时间");
            columnName.put("jgTjr","提交人");
            columnName.put("jgTjsj","提交时间");
            columnName.put("jgZglxmc","整改类型");
            columnName.put("jgTbmc","状态");
            //输出Excel文件
            ServletOutputStream output = response.getOutputStream();
            response.reset();
            response.setHeader("content-disposition","attachment;filename=" + new String(("XCGS"+ DateUtil.getDate()).getBytes("gb2312"), "ISO8859-1") + ".xls");
            response.setContentType("application/msexcel");
            ExcelUtil.pojo2Excel(items,output,columnName,"区级任务查看"+ DateUtil.getDate());
            output.close();
            return null;
        } else {
            return inspectionResultExport;
        }
    }

    @ApiOperation(value = "企业信息库-检查信息,pageSize,pageNum从url传", notes = "结果反馈")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
            @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/dailyCheckResultPageForQYXXK")
    public ResponseWrapper dailyCheckResultPageForQYXXK(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody DailyCheckResultVO checkResultVO) {
        checkResultVO.setJcdwId(CurrentUtil.getOrgId());
        return dailyCheckResultService.dailyCheckResultPageForQYXXK(pageNum,pageSize
                , checkResultVO);
    }
}
