package com.unis.inspection.app.result;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.client.RectificationAcceptanceFeign;
import com.unis.inspectionresult.common.vo.RectificationAcceptanceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationAcceptanceController
 * @ProjectName 整改验收单信息 RectificationAcceptanceController
 * @Description
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "整改验收单 ", tags = "整改验收单")
@Slf4j
public class RectificationAcceptanceController {

	@Autowired
	private RectificationAcceptanceFeign rectificationAcceptanceFeign;

	@PostMapping(value = "/rectificationAcceptance")
	@ApiOperation(value = "整改验收单-新增", notes = "参数：整改验收单信息对象 model")
    public ResponseWrapper insert(@RequestBody RectificationAcceptanceVO rectificationAcceptanceVO) {
		rectificationAcceptanceVO.setCreateor(CurrentUtil.getUserName());
		rectificationAcceptanceVO.setCreateDate(new Date());
		rectificationAcceptanceVO.setStatus(1);
        return rectificationAcceptanceFeign.insert(rectificationAcceptanceVO);
    }

	@PutMapping(value = "/rectificationAcceptance")
	@ApiOperation(value = "整改验收单-更新", notes = "参数：整改验收单信息对象 model")
	public ResponseWrapper update(@RequestBody RectificationAcceptanceVO rectificationAcceptanceVO) {
		rectificationAcceptanceVO.setRefresher(CurrentUtil.getUserName());
		return rectificationAcceptanceFeign.update(rectificationAcceptanceVO);
	}

	@GetMapping(value="/rectificationAcceptanceList/{jgId}")
	@ApiOperation(value = "整改验收单-查询列表", notes = "参数：结果ID")
	public ResponseWrapper getRectificationAcceptanceListInfoByJgId(@PathVariable("jgId") String jgId) {
		return rectificationAcceptanceFeign.getRectificationAcceptanceListInfoByJgId(jgId);
	}

	@GetMapping(value="/rectificationAcceptance/{ysdId}")
	@ApiOperation(value = "整改验收单-查询详情", notes = "参数：验收单ID")
	public ResponseWrapper getRectificationAcceptanceInfoByYsdId(@PathVariable("ysdId") String ysdId) {
		return rectificationAcceptanceFeign.getRectificationAcceptanceInfoByYsdId(ysdId);
	}

}
