package com.unis.inspection.app.result;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.client.RectificationFeedbackFeign;
import com.unis.inspectionresult.common.vo.RectificationFeedbackVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title OrderedCorrectionsNoticeController
 * @ProjectName 整改反馈单信息 OrderedCorrectionsNoticeController
 * @Description
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "整改反馈单 ", tags = "整改反馈单")
@Slf4j
public class RectificationFeedbackController {

	@Autowired
	private RectificationFeedbackFeign rectificationFeedbackFeign;

	@PostMapping(value = "/rectificationFeedback")
	@ApiOperation(value = "整改反馈单-新增", notes = "参数：整改反馈单信息对象 model")
    public ResponseWrapper insert(@RequestBody RectificationFeedbackVO rectificationFeedbackVO) {
		rectificationFeedbackVO.setCreateor(CurrentUtil.getUserName());
		rectificationFeedbackVO.setCreateDate(new Date());
		rectificationFeedbackVO.setStatus(1);
        return rectificationFeedbackFeign.insert(rectificationFeedbackVO);
    }

	@PutMapping(value = "/rectificationFeedback")
	@ApiOperation(value = "整改反馈单-更新", notes = "参数：整改反馈单信息对象 model")
	public ResponseWrapper update(@RequestBody RectificationFeedbackVO rectificationFeedbackVO) {
		rectificationFeedbackVO.setRefresher(CurrentUtil.getUserName());
		return rectificationFeedbackFeign.update(rectificationFeedbackVO);
	}

	@GetMapping(value="/rectificationFeedbackList/{jgId}")
	@ApiOperation(value = "整改反馈单-查询列表", notes = "参数：结果ID")
	public ResponseWrapper getRectificationAcceptanceListInfoByJgId(@PathVariable("jgId") String jgId) {
		return rectificationFeedbackFeign.getRectificationAcceptanceListInfoByJgId(jgId);
	}

	@GetMapping(value="/rectificationFeedback/{fkdId}")
	@ApiOperation(value = "整改反馈单-查询详情", notes = "参数：反馈单ID")
	public ResponseWrapper getRectificationFeedbackInfoByFkdId(@PathVariable("fkdId") String fkdId) {
		return rectificationFeedbackFeign.getRectificationFeedbackInfoByFkdId(fkdId);
	}

}
