package com.unis.inspection.app.result;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.client.RectificationNoticeFeign;
import com.unis.inspectionresult.common.vo.RectificationNoticeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title OrderedCorrectionsNoticeController
 * @ProjectName 责令整改通知单信息 OrderedCorrectionsNoticeController
 * @Description
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "责令整改通知单 ", tags = "责令整改通知单")
@Slf4j
public class RectificationNoticeController {

	@Autowired
	private RectificationNoticeFeign rectificationNoticeFeign;

	@PostMapping(value = "/rectificationNotice")
	@ApiOperation(value = "责令整改通知单-新增", notes = "参数：责令整改通知单信息对象 model")
    public ResponseWrapper insert(@RequestBody RectificationNoticeVO rectificationNoticeVO) {
		rectificationNoticeVO.setCreateor(CurrentUtil.getUserName());
		rectificationNoticeVO.setCreateDate(new Date());
		rectificationNoticeVO.setStatus(1);
        return rectificationNoticeFeign.insert(rectificationNoticeVO);
    }

	@PutMapping(value = "/rectificationNotice")
	@ApiOperation(value = "责令整改通知单-更新", notes = "参数：责令整改通知单信息对象 model")
	public ResponseWrapper update(@RequestBody RectificationNoticeVO rectificationNoticeVO) {
		rectificationNoticeVO.setRefresher(CurrentUtil.getUserName());
		return rectificationNoticeFeign.update(rectificationNoticeVO);
	}

	@GetMapping(value="/rectificationNotice/{jgId}")
	@ApiOperation(value = "责令整改通知单-查询详情", notes = "参数：结果ID")
	public ResponseWrapper getRectificationNoticeInfoByJgId(@PathVariable("jgId") String jgId) {
		return rectificationNoticeFeign.getRectificationNoticeInfoByJgId(jgId);
	}

}
