package com.unis.inspection.app.result;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Lists;
import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspection.app.myuser.MyUserClient;
import com.unis.inspection.service.user.UserService;
import com.unis.inspectionresult.api.resultback.DailyCheckResultApi;
import com.unis.inspectionresult.client.ResultApplyFeign;
import com.unis.inspectionresult.common.utils.JsonUtils;
import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;
import com.unis.inspectionresult.common.vo.CheckCensusVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.ResultApplyVO;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultVO;
import com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@RestController
@Slf4j
@Api(value = "综合查询审批", tags = "综合查询审批")
public class ResultApplyController {

	@Autowired
	private ResultApplyFeign resultApplyFeign;
	
	@Autowired
    private UserService userService;
	@Autowired
    private MyUserClient userClient;
	
	@Autowired
    private DailyCheckResultApi dailyCheckResultApi;

	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/resultapply")
	@ApiOperation(value = "综合查询查看申请", notes = "综合查询查看申请")
	public ResponseWrapper resultapply(@RequestBody ResultApplyVO checkCensusQueryVO) {
		try {
			if(checkCensusQueryVO.getSqlx().equals("0")) {//综合
				if(CurrentUtil.getDeptId().equals("DP353")) {//监督检查处申请
					ResponseWrapper result = userClient.findBySectionChief("DP355", "10230006", "LS001");
        			if(result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
        				Object obj = result.getData();
        				List<ReceiverCollectionVO> userList = Lists.newArrayList();
        				JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
        				arr.forEach( user -> {
        					JSONObject userObj = (JSONObject)user;
        					ReceiverCollectionVO vo = new ReceiverCollectionVO();
        					vo.setUserId(userObj.getString("userCode"));
        					vo.setUserName(userObj.getString("userName"));
        					vo.setRylx(0);
        					userList.add(vo);
        				});
        				checkCensusQueryVO.setUserList(userList);
        			}
				} else {
					ResponseWrapper result = userClient.findBySectionChief("DP353", "10230006", "LS001");
        			if(result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
        				Object obj = result.getData();
        				List<ReceiverCollectionVO> userList = Lists.newArrayList();
        				JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
        				arr.forEach( user -> {
        					JSONObject userObj = (JSONObject)user;
        					ReceiverCollectionVO vo = new ReceiverCollectionVO();
        					vo.setUserId(userObj.getString("userCode"));
        					vo.setUserName(userObj.getString("userName"));
        					vo.setRylx(0);
        					userList.add(vo);
        				});
        				checkCensusQueryVO.setUserList(userList);
        			}
				}
			} else {
				DailyCheckResultVO checkResultVO = new DailyCheckResultVO();
				checkResultVO.setJgId(checkCensusQueryVO.getJgId());
	            //进行审批清理
	            ResponseWrapper dailyCheckResultShowVO =dailyCheckResultApi.selectById(checkResultVO);
	            DailyCheckResultVO dailyCheckResultVO1 = new DailyCheckResultVO();
	            if(!ObjectUtils.isEmpty(dailyCheckResultShowVO.getData())) {
	            	LsBeanUtils.copyAllProperties(dailyCheckResultShowVO.getData(), dailyCheckResultVO1);
	            }
	            
	            
	            ResponseWrapper result = userClient.findUserDeptId(dailyCheckResultVO1.getJcdwId(), "0", "");
    			if(result.isSuccess() && !ObjectUtils.isEmpty(result.getData())) {
    				Object obj = result.getData();
    				List<ReceiverCollectionVO> userList = Lists.newArrayList();
    				JSONArray arr = JSON.parseArray(JsonUtils.serialize(obj));
    				arr.forEach( user -> {
    					JSONObject userObj = (JSONObject)user;
    					ReceiverCollectionVO vo = new ReceiverCollectionVO();
    					vo.setUserId(userObj.getString("userCode"));
    					vo.setUserName(userObj.getString("userName"));
    					vo.setRylx(0);
    					userList.add(vo);
    				});
    				checkCensusQueryVO.setUserList(userList);
    			}
			}
			return resultApplyFeign.resultapply(checkCensusQueryVO);
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "申请失败", null);
		}
	}
	
	
	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/resultupdate")
	@ApiOperation(value = "综合查询查看审批", notes = "综合查询查看审批")
	public ResponseWrapper resultupdate(@RequestBody ResultApplyVO checkCensusQueryVO) {
		try {
			return resultApplyFeign.resultupdate(checkCensusQueryVO);
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "审批失败", null);
		}
	}
}
