/**
 *
 */
package com.unis.inspection.app.vo;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultVO;
import com.unis.inspectiontask.common.vo.FileVO;
import com.unis.inspectiontask.common.vo.InspectedUnitsVO;
import com.unis.inspectiontask.common.vo.InspectionUnitVO;
import com.unis.inspectiontask.common.vo.MemberVO;
import com.unis.inspectiontask.common.vo.TaskFormVO;
import com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 张琪
 * @date 2019年9月23日 上午9:22:51
 * @description
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel("储备粮-日常检查->实体")
public class ReserveGrainVO extends DailyCheckResultVO {
	/**
	 * 任务编号
	 */
	@ApiModelProperty("任务编号")
	private String rwId;

	/**
	 * 任务名称
	 */
	@ApiModelProperty("任务名称")
	private String rwName;

	/**
	 * 任务类型
	*/
	@ApiModelProperty("任务类型")
	private String rwlx;

	/**
	 * 任务类型名称
	*/
	@ApiModelProperty("任务类型名称")
	private String rwlxName;


	/**
	 * 检查单位
	 */
	@ApiModelProperty("检查单位")
	private String jcdwmc;

	@ApiModelProperty("pad端检查人")
	private String jcrPad;

	/**
	 * 检查单位id
	 */
	@ApiModelProperty("检查单位")
	private String jcdwId;

	/**
	 * 任务状态（0、待分配。1、待下发。2、已下发。3、已完成）
	 */
	@ApiModelProperty("任务状态（0、待分配。1、待下发。2、已下发。3、已完成。4、已超期。5、超期完成。  6、已归档。）")
	private Integer rwZt;
	/**
	 * 计划编号
	 */
	@ApiModelProperty("计划编号")
	private String jhId;
	/**
	 * 是否显示
	 */
	@ApiModelProperty("是否显示  (0,是 1，否)")
	private Integer sfxs;

	/**
	 * 检查时间段开始时间-结束时间
	 */
	@ApiModelProperty("检查开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date jckssjDate;

	/**
	 * 被检单位实体
	 */
	private  List<InspectedUnitsVO> inspectedUnitsVO;

	/**
	 * 检查表单实体
	 */
	private List<TaskFormVO> taskFormVO;

	/**
	 * 检查单位
	 *
	 */
	private List<InspectionUnitVO> inspectionUnitVO;

	/**
	 * 组织ID
	 */
	@ApiModelProperty("组织ID")
	private String orgId;

    /**
     * 文件
     */
    @ApiModelProperty("文件")
    private List<FileVO> file;

	/**
	 * 检查组成员
	 */
	@ApiModelProperty("检查组成员")
	private List<MemberVO> members;
	/**
	 *检查方式（0，远程。1、现场）
	 */
	@ApiModelProperty("检查方式 0，远程。1、现场")
	private Integer jcfs;

	@ApiModelProperty(value = "待办详情跳转Url")
    private String itemUrl;

    @ApiModelProperty(value = "待办详情跳转参数")
    private String itemQuery;

    @ApiModelProperty(value = "待办用户")
    List<ReceiverCollectionVO> userList;

    @ApiModelProperty(value = "已办处理人主键")
    private String handlerId; // 已办-处理人主键

}
