package com.unis.inspection.app.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.unis.base.common.vo.BaseEntity;
import com.unis.base.common.vo.DCfxxsjyUpdateLogVO;
import com.unis.base.common.vo.DHwxxsjyVO;
import com.unis.base.common.vo.WarehouseDoorVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
//import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Objects;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyVO
 * @ProjectName 仓房信息实体类
 * @date 2019/07/22 17点26分
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("仓房信息(货位)实体")
public class WarehouseVO implements Serializable {

    @Column(name = "sjcrStart")
    private Double sjcrStart;

    @Column(name = "sjcrEnd")
    private Double sjcrEnd;

    @ApiModelProperty(value = "廒间序号", notes = "廒间序号")
    @Column(name = "ajxh")
    private String ajxh;

    @ApiModelProperty(value = "货位序号", notes = "货位序号")
    @Column(name = "hwxh")
    private String hwxh;

    private String startJssj;

    private String endJssj;

    @Column(name = "cxsj")
    private String cxsj;

    @ApiModelProperty(value = "粮食库存品种名称")
    @Column(name = "lspzmc")
    private String lspzmc;

    @ApiModelProperty(value = "封仓数据")
    @Column(name = "fcsl")
    private Integer fcsl;

    @ApiModelProperty(value = "入仓年月")
    @Transient
    private String rcny;

    /**
     * 所属企业信用代码
     */
    @ApiModelProperty(value = "所属企业信用代码")
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "仓房编码")
    @Column(name = "cfbm")
    private String cfbm;

    @ApiModelProperty(value = "企业编码")
    @Column(name = "qybm")
    private String qybm;

    /*
     * -------------------仓房-----以下为修改过后的----------------------------
     */

    /**
     * 仓房编号
     */
    @ApiModelProperty(value = "仓房编号")
    private String cfbh;

    /**
     * 仓房名称
     */
    @ApiModelProperty(value = "仓房名称")
    private String cfmc;

    /**
     * 货位名称
     */
    private String cfmc01;

    /**
     * 所属库点编号
     */
    @ApiModelProperty(value = "库区代码", notes = "length: 21")
    private String kddm;

    /**
     * 库区代码: 遵循国粮局规范的库区编码
     */
    @ApiModelProperty(value = "库区代码: 遵循国粮局规范的库区编码", notes = "length: 21")
    private String kqdm;

    /**
     * 启用日期
     * 廒间启用日期、货位启用日期都是此字段
     */
    @ApiModelProperty(value = "启用日期")
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date qyrq;

    /**
     * 货位容量(吨)
     */
    @ApiModelProperty(value = "货位容量")
    private Double hwrl;

    /**
     * ------------------------------市平台业务新增字段-------------------------------------
     */


    @ApiModelProperty(value = "标准仓房代码")
    private String gfcfdm;

    @ApiModelProperty(value = "标准仓房名称")
    private String gfcfmc;

    @ApiModelProperty(value = "标准廒间代码")
    private String ajdh;

    @ApiModelProperty(value = "标准货位代码", notes = "标准货位代码")
    private String hwdm;

    private String sfyg;

    private String yglxmc;


}
