package com.unis.inspection.service;
import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspection.app.vo.ReserveGrainVO;
import com.unis.inspectiontask.common.vo.TaskQueryVO;
import com.unis.inspectiontask.common.vo.TaskTeamVO;
import com.unis.inspectiontask.common.vo.TaskVO;

/**
 * @author 张琪
 * @date 2019年8月27日 下午6:53:11
 * @description
 */
public interface InspectionTaskService {

	/**
	 * @param rwId
	 * @return
	 */
	TaskVO getTaskInfo(String rwId,String jhId);

	/**
	 * @param jcdwId
	 * @param jhId
	 * @return
	 */
	TaskVO getTaskInfoAll(String jcdwId, String jhId);

	/**
	 * 任务检查回撤根据任务ID
	 * @param jhid
	 * @param rwZt
	 * @return
	 */
	ResponseWrapper inspectionTaskReturn(String jhid, Integer rwZt);

	ResponseWrapper inspectionTaskFinish(String rwId, Integer rwZt);

	/**
	 * 制定任务 界面的 下发 /下一步 /暂存
	 * @param taskTeamVO
	 * @return
	 */
	TaskTeamVO inspectionTaskInsertTeamImp(TaskTeamVO taskTeamVO);

	/**
	 * 任务修改 并下发
	 * @param taskTeamVO
	 * @return
	 */
	ResponseWrapper inspectionTaskTeamDistributes(TaskTeamVO taskTeamVO);

	/**
	 * @param taskVO
	 * @return
	 */
	TaskVO setSessionAll(TaskVO taskVO);

	/**
	 * 分页拼接
	 * @param taskQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	PageInfo<TaskVO> getRwTaskPageList(TaskQueryVO taskQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * @param reserveGrainVO
	 * @return
	 */
	ReserveGrainVO inspectionTaskCbl(ReserveGrainVO reserveGrainVO);

	void callBackOnFinish(String jhid);

	/**
	 * @param taskVO
	 * @return
	 *
	 */
	ResponseWrapper inspectionTaskResultInsert(TaskVO taskVO);

	/**
	 * @return
	 * @Title: inspectionJhTaskCq
	 * @Description: 方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param taskQueryVO    设定文件
	 * @return void    返回类型
	 * @throws
	*/
	List<TaskVO> inspectionJhTaskCq();
}
