package com.unis.inspection.service.backlog;

import java.util.List;

import com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO;



/**
 * 
 * @Description：待办服务
 * @author：王帅
 * @date: 2020年2月27日
 */
public interface BacklogMQService {

	/**
	 * 
	 * @Description: 简单消息发送
	 * @author: 王帅
	 * @param: @param obj
	 * @param: @param type 参数
	 * @return: void 返回类型
	 */
	public void sendMsg(Object obj, String type);
	
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加待办
	 * @Date 2020年3月20日 上午10:05:17
	 * @param id 主键
	 * @param title 标题
	 * @param status 状态
	 * @param statusName 状态名称
	 * @param itemUrl 详情url
	 * @param userList void 待办用户集合
	 */
	public void addNeedToDeals(String id, String title, String status, String statusName,String ispad,String tyname, String itemUrl, String itemQuery,String itemHavQuery, String itemHavUrl,String receiveCompanyName,
			List<ReceiverCollectionVO> userList);

	public void addDealsYwjc(String id, String title, String status, String statusName, String isPad, String tyname,
							 String itemUrl, String itemQuery, String itemQueryHaveDone, String itemUrlHaveDone, List<ReceiverCollectionVO> userList, String userId, String userName,String receiveCompanyName);

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加已办
	 * @Date 2020年3月30日 上午10:11:21
	 * @param itemId
	 * @param itemName
	 * @param status
	 * @param statusName void
	 */
	void addDeals(String itemId, String itemName, String status, String statusName);
}
