package com.unis.inspection.service.impl;

import com.unis.common.utils.DateUtil;
import com.unis.common.utils.ExcelUtil;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspection.service.CheckWorkLogService;
import com.unis.inspectionresult.client.CheckWorkLogFeign;
import com.unis.inspectionresult.common.vo.CheckWorkLogQueryVO;
import com.unis.inspectionresult.common.vo.CheckWorkLogVO;
import com.unis.intelligence.common.vo.TalentStoreVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletResponse;
import java.io.OutputStream;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/11/13 10:24
 * Version 1.0
 */
@Service
@Slf4j
public class CheckWorkLogServiceImpl implements CheckWorkLogService {

    @Autowired
    private CheckWorkLogFeign checkWorkLogFeign;

    @Override
    public ResponseWrapper getCheckWorkLogExport(CheckWorkLogQueryVO checkWorkLogQueryVO,
                                                 HttpServletResponse response) {
        try {
            ResponseWrapper checkWorkLogRW = checkWorkLogFeign.getCheckWorkLogList(checkWorkLogQueryVO);
            if (checkWorkLogRW.getInfoCode() != 200){
                return checkWorkLogRW;
            }
            //执行导出逻辑
            List<CheckWorkLogVO> checkWorkLogList = JsonUtils.parseList(JsonUtils.serialize(checkWorkLogRW.getData()),CheckWorkLogVO.class);
            LinkedHashMap<String, String> columnName = new LinkedHashMap<>();
            columnName.put("jcKssj","检查时间");
            columnName.put("bjdwName","被检查单位");
            columnName.put("jcyy","检查缘由");
            columnName.put("jcnr","检查内容");
            columnName.put("fxdwt","检查发现的问题");
            columnName.put("clqk","处理情况");
            columnName.put("rzTjr","日志录入人");

            //输出Excel文件
            OutputStream output=response.getOutputStream();
            response.reset();
            response.setHeader("content-disposition",
                    "attachment;filename=" + new String(("XCGS"+ DateUtil.getDate()).getBytes("gb2312"), "ISO8859-1") + ".xls");
            response.setContentType("application/msexcel");
            ExcelUtil.pojo2Excel(checkWorkLogList,output,columnName,"检查工作日志"+ DateUtil.getDate());
            output.close();
            return null;
        } catch (Exception e) {
            log.error(e.getMessage());
            return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "导出失败", null);
        }

    }
}
