package com.unis.inspection.service.user;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Lists;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspection.app.myuser.MyUserClient;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;
import com.unis.inspectiontask.common.vo.user.UserVO;

/**
 * 
     * @ClassName: UserService
     * @Description: 用户中心
     * @author huyong
     * @date 2019年9月12日
     *
 */
@Component
public class UserService {
   
	/*@Value("${deptCodeJch}")
	private String deptCodeJch;


	public String getDeptCodeJch() {
		return deptCodeJch;
	}
*/
	@Autowired
    private MyUserClient userClient;



	 /**
	    * 
	        * @Title: getUserIdByRole
	        * @Description: 根据角色获取人员code字符串
	        * @param @param roleId
	        * @param @return 参数
	        * @return String 返回类型
	        * @throws
	    */
	   public String getUserIdByRole(String roleId){
		   
		   
		   ResponseWrapper wapper = userClient.getUserByRole(Arrays.asList(roleId));
		   
		   Object data = wapper.getData();
		   
		   if(data!=null) {
			  List<UserVO> userVOs = JSONObject.parseArray(JSONObject.toJSONString(data),UserVO.class);
			  
			  if(userVOs!=null) {
			  String codes = userVOs.stream().map(UserVO :: getUserCode).collect(Collectors.joining(","));
			   
			  return codes;
			   
			  }
		   }
		   
		       return null;
	   }
	   
	   
	   /**
	    * @Author lidiaoquan
	    * @version V1.0
	    * @Description 根据角色给用户 添加 待办发送用户集合角色	注意：c 中有字段userList
	    * @Date 2020年3月19日 上午10:40:40
	    * @param c 对象
	    * @param roleId void
	    */
		public List<com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO> addRoleUserList(Object c, String roleId) {
			ResponseWrapper result = userClient.getUserByRole(Arrays.asList(new String[] { roleId }));
			Object resultObj = result.getData();
			JSONObject jsonObj2 = JSON.parseObject(JsonUtils.serialize(c));
			String jcdwId = jsonObj2.getString("jcdwId");
			String bjdwId = jsonObj2.getString("bjdwId");
			List<com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO> userList = Lists.newArrayList();
			if (result.isSuccess() && !ObjectUtils.isEmpty(resultObj)) {
				JSONArray objArr = JSON.parseArray(JsonUtils.serialize(resultObj));
				if (!ObjectUtils.isEmpty(objArr)) {
					objArr.forEach(jsonObj -> {
						JSONObject obj = (JSONObject) jsonObj;
						if(StringUtils.isNotEmpty(obj.getString("orgCode"))&&(obj.getString("orgCode").equals(jcdwId)||obj.getString("orgCode").equals(bjdwId))) {
							com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO vo = new com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO();
							vo.setUserId(obj.getString("userCode"));
							vo.setUserName(obj.getString("userName"));
							vo.setRylx(0);
							userList.add(vo);
						}
					});
				}
			}
			
			
			try {
				
				if(c != null) {
					Field f = c.getClass().getDeclaredField("userList");
					f.setAccessible(true);
					f.set(c, userList);
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
			return userList;
		}
		
		public List<com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO> addRoleUserList2(Object c, String roleId) {
			ResponseWrapper result = userClient.getUserByRole(Arrays.asList(new String[] { roleId }));
			Object resultObj = result.getData();
			List<com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO> userList = Lists.newArrayList();
			JSONObject jsonObj2 = JSON.parseObject(JsonUtils.serialize(c));
			String jcdwId = jsonObj2.getString("jcdwId");
			String bjdwId = jsonObj2.getString("bjdwId");
			if (result.isSuccess() && !ObjectUtils.isEmpty(resultObj)) {
				JSONArray objArr = JSON.parseArray(JsonUtils.serialize(resultObj));
				if (!ObjectUtils.isEmpty(objArr)) {
					objArr.forEach(jsonObj -> {
						JSONObject obj = (JSONObject) jsonObj;
						if(StringUtils.isNotEmpty(obj.getString("orgCode"))&&(obj.getString("orgCode").equals(jcdwId)||obj.getString("orgCode").equals(bjdwId))) {
							com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO vo = new com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO();
							vo.setUserId(obj.getString("userCode"));
							vo.setUserName(obj.getString("userName"));
							vo.setRylx(0);
							userList.add(vo);
						}
						
					});
				}
			}
			
			
			try {
				
				if(c != null) {
					Field f = c.getClass().getDeclaredField("userList");
					f.setAccessible(true);
					f.set(c, userList);
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
			return userList;
		}
		
		/**
		 * @Author lidiaoquan
		 * @version V1.0
		 * @Description 给VO添加待办用户集合--根据部门查询用户 注意：c 中有字段userList
		 * @Date 2020年3月25日 下午3:06:42
		 * @param c
		 * @param roleId
		 * @return List<ReceiverCollectionVO>
		 */
		/*public List<ReceiverCollectionVO> addDeptUserList(Object c, String deptCode) {
			ResponseWrapper result = userClient.findByDeptCode(deptCode);
			Object resultObj = result.getData();
			List<ReceiverCollectionVO> userList = Lists.newArrayList();
			if (result.isSuccess() && !ObjectUtils.isEmpty(resultObj)) {
				JSONArray objArr = JSON.parseArray(JsonUtils.serialize(resultObj));
				if (!ObjectUtils.isEmpty(objArr)) {
					objArr.forEach(jsonObj -> {
						JSONObject obj = (JSONObject) jsonObj;
						ReceiverCollectionVO vo = new ReceiverCollectionVO();
						vo.setUserId(obj.getString("userCode"));
						vo.setUserName(obj.getString("userName"));
						vo.setRylx(0);
						userList.add(vo);
					});
				}
			}
			
			
			try {
				
				if(c != null) {
					Field f = c.getClass().getDeclaredField("userList");
					f.setAccessible(true);
					f.set(c, userList);
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
			return userList;
		}*/
	    
		
}
